# role assignment

Identity v2, v3

## role assignment list

List role assignments

    openstack role assignment list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--effective]
        [--role <role>]
        [--role-domain <role-domain>]
        [--names]
        [--user <user> | --group <group>]
        [--user-domain <user-domain>]
        [--group-domain <group-domain>]
        [--domain
        <domain>
        |
        --project <project>
        |
        --system <system>
        ]
        [--project-domain <project-domain>]
        [--inherited]
        [--auth-user]
        [--auth-project]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--effective

  Returns only effective role assignments

--role <role>

  Role to filter (name or ID)

--role-domain <role-domain>

  Domain the role belongs to (name or ID). This must be specified when the name of a domain specific role is used.

--names

  Display names instead of IDs

--user <user>

  User to filter (name or ID)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

--group <group>

  Group to filter (name or ID)

--group-domain <group-domain>

  Domain the group belongs to (name or ID). This can be used in case collisions between group names exist.

--domain <domain>

  Domain to filter (name or ID)

--project <project>

  Project to filter (name or ID)

--system <system>

  Filter based on system role assignments

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--inherited

  Specifies if the role grant is inheritable to the sub projects

--auth-user

  Only list assignments for the authenticated user

--auth-project

  Only list assignments for the project to which the authenticated user’s token is scoped

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.